Profile node. Holds callsite information, execution statistics and child nodes.

### Hierarchy

- ProfileNode

## Index

### Properties

- callFrame
- children
- deoptReason
- hitCount
- id
- positionTicks

## Properties

### callFrame

callFrame: CallFrame

- Defined in node_modules/@types/node/inspector.d.ts:883

Function location.

### Optional children

children: number[]

- Defined in node_modules/@types/node/inspector.d.ts:891

Child node ids.

### Optional deoptReason

deoptReason: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:896

The reason of being not optimized. The function may be deoptimized or marked as don't optimize.

### Optional hitCount

hitCount: undefined | number

- Defined in node_modules/@types/node/inspector.d.ts:887

Number of samples where this node was on top of the call stack.

### id

id: number

- Defined in node_modules/@types/node/inspector.d.ts:879

Unique id of the node.

### Optional positionTicks

positionTicks: PositionTickInfo[]

- Defined in node_modules/@types/node/inspector.d.ts:900

An array of source position ticks.

Generated using TypeDoc